
set echo on
set serveroutput on

DELETE /*+ NO_PARALLEL */ FROM leg_valuations;
DELETE /*+ NO_PARALLEL */ FROM trade_legs;
DELETE /*+ NO_PARALLEL */ FROM trades;

ALTER TABLE trade_legs DROP CONSTRAINT trade_legs_fk01;
ALTER TABLE leg_valuations DROP CONSTRAINT leg_valuations_fk01;

ALTER TABLE trade_legs ADD
   CONSTRAINT trade_legs_fk01
   FOREIGN KEY (trade_id)
   REFERENCES trades (trade_id)
   DEFERRABLE;

ALTER TABLE leg_valuations ADD
   CONSTRAINT leg_valuations_fk01
   FOREIGN KEY (trade_id, leg_no)
   REFERENCES trade_legs (trade_id, leg_no)
   DEFERRABLE;

COMMIT;

ALTER SESSION ENABLE PARALLEL QUERY;
ALTER SESSION ENABLE PARALLEL DML;

SET CONSTRAINT trade_legs_fk01 DEFERRED;
SET CONSTRAINT leg_valuations_fk01 DEFERRED;

exec trades_load.load_trades;

COMMIT;


