
set echo on

CREATE OR REPLACE PACKAGE trades_load AS

   TYPE source_data_rct IS REF CURSOR
      RETURN trades_staging%ROWTYPE;

   FUNCTION trades_transform( p_source_data IN source_data_rct )
      RETURN transaction_ntt
      PIPELINED 
      PARALLEL_ENABLE (PARTITION p_source_data BY HASH(trade_id)) 
      ORDER p_source_data BY (trade_id, leg_no);

   PROCEDURE load_trades;

END trades_load;
/

